# Interface TokenBridgeContract

#### Hierarchy

- BaseContract
  - TokenBridgeContract

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:600

#####
Index

### Properties

WETH
_parseTransferCommon
attestToken
bridgeContracts
chainId
completeTransfer
completeTransferAndUnwrapETH
completeTransferAndUnwrapETHWithPayload
completeTransferWithPayload
createWrapped
encodeAssetMeta
encodeTransfer
encodeTransferWithPayload
evmChainId
filters
finality
governanceActionIsConsumed
governanceChainId
governanceContract
interface
isFork
isInitialized
isTransferCompleted
isWrappedAsset
outstandingBridged
parseAssetMeta
parsePayloadID
parseRecoverChainId
parseRegisterChain
parseTransfer
parseTransferWithPayload
parseUpgrade
registerChain
submitRecoverChainId
tokenImplementation
transferTokens
transferTokensWithPayload
updateWrapped
upgrade
wormhole
wrapAndTransferETH
wrapAndTransferETHWithPayload
wrappedAsset

### Methods

connect
getEvent
getFunction
listeners
on
once
queryFilter
removeAllListeners
waitForDeployment

## Properties

### WETH

WETH: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:643

### _parseTransferCommon

_parseTransferCommon: TypedContractMethod<[encoded: BytesLike], [TransferStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:645

### attestToken

attestToken: TypedContractMethod<[tokenAddress: AddressLike, nonce: BigNumberish], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:651

### bridgeContracts

bridgeContracts: TypedContractMethod<[chainId_: BigNumberish], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:657

### chainId

chainId: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:663

### completeTransfer

completeTransfer: TypedContractMethod<[encodedVm: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:665

### completeTransferAndUnwrapETH

completeTransferAndUnwrapETH: TypedContractMethod<[encodedVm: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:671

### completeTransferAndUnwrapETHWithPayload

completeTransferAndUnwrapETHWithPayload: TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:677

### completeTransferWithPayload

completeTransferWithPayload: TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:683

### createWrapped

createWrapped: TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:689

### encodeAssetMeta

encodeAssetMeta: TypedContractMethod<[meta: AssetMetaStruct], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:695

### encodeTransfer

encodeTransfer: TypedContractMethod<[transfer: TransferStruct], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:701

### encodeTransferWithPayload

encodeTransferWithPayload: TypedContractMethod<[transfer: TransferWithPayloadStruct], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:707

### evmChainId

evmChainId: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:713

### filters

filters: {
AdminChanged: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
AdminChanged(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
BeaconUpgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
BeaconUpgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
ContractUpgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
ContractUpgraded(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
TransferRedeemed: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
TransferRedeemed(uint16,bytes32,uint64): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
Upgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
Upgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
}

#### Type declaration

- ##### AdminChanged: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### AdminChanged(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### BeaconUpgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### BeaconUpgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### ContractUpgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### ContractUpgraded(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### TransferRedeemed: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### TransferRedeemed(uint16,bytes32,uint64): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### Upgraded: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### Upgraded(address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

Overrides BaseContract.filters

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1113

### finality

finality: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:715

### governanceActionIsConsumed

governanceActionIsConsumed: TypedContractMethod<[hash: BytesLike], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:717

### governanceChainId

governanceChainId: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:723

### governanceContract

governanceContract: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:725

### interface

interface: BridgeInterface

Overrides BaseContract.interface

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:604

### isFork

isFork: TypedContractMethod<[], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:727

### isInitialized

isInitialized: TypedContractMethod<[impl: AddressLike], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:729

### isTransferCompleted

isTransferCompleted: TypedContractMethod<[hash: BytesLike], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:731

### isWrappedAsset

isWrappedAsset: TypedContractMethod<[token: AddressLike], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:737

### outstandingBridged

outstandingBridged: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:739

### parseAssetMeta

parseAssetMeta: TypedContractMethod<[encoded: BytesLike], [AssetMetaStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:745

### parsePayloadID

parsePayloadID: TypedContractMethod<[encoded: BytesLike], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:751

### parseRecoverChainId

parseRecoverChainId: TypedContractMethod<[encodedRecoverChainId: BytesLike], [RecoverChainIdStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:753

### parseRegisterChain

parseRegisterChain: TypedContractMethod<[encoded: BytesLike], [RegisterChainStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:759

### parseTransfer

parseTransfer: TypedContractMethod<[encoded: BytesLike], [TransferStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:765

### parseTransferWithPayload

parseTransferWithPayload: TypedContractMethod<[encoded: BytesLike], [TransferWithPayloadStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:771

### parseUpgrade

parseUpgrade: TypedContractMethod<[encoded: BytesLike], [UpgradeContractStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:777

### registerChain

registerChain: TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:783

### submitRecoverChainId

submitRecoverChainId: TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:789

### tokenImplementation

tokenImplementation: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:795

### transferTokens

transferTokens: TypedContractMethod<[token: AddressLike, amount: BigNumberish, recipientChain: BigNumberish, recipient: BytesLike, arbiterFee: BigNumberish, nonce: BigNumberish], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:797

### transferTokensWithPayload

transferTokensWithPayload: TypedContractMethod<[token: AddressLike, amount: BigNumberish, recipientChain: BigNumberish, recipient: BytesLike, nonce: BigNumberish, payload: BytesLike], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:810

### updateWrapped

updateWrapped: TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:823

### upgrade

upgrade: TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:829

### wormhole

wormhole: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:831

### wrapAndTransferETH

wrapAndTransferETH: TypedContractMethod<[recipientChain: BigNumberish, recipient: BytesLike, arbiterFee: BigNumberish, nonce: BigNumberish], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:833

### wrapAndTransferETHWithPayload

wrapAndTransferETHWithPayload: TypedContractMethod<[recipientChain: BigNumberish, recipient: BytesLike, nonce: BigNumberish, payload: BytesLike], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:844

### wrappedAsset

wrappedAsset: TypedContractMethod<[tokenChainId: BigNumberish, tokenAddress: BytesLike], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:855

## Methods

### connect

- connect(runner?): TokenBridgeContract

- #### Parameters

  - ##### `Optional` runner: ContractRunner

  #### Returns TokenBridgeContract

  Overrides BaseContract.connect

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:601

### getEvent

- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "AdminChanged"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1077
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "BeaconUpgraded"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1084
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "ContractUpgraded"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1091
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "TransferRedeemed"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1098
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "Upgraded"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1105

### getFunction

- getFunction<T>(key): T

- #### Type Parameters

  - #### T extends ContractMethod<any[], any, any> = ContractMethod<any[], any, any>

  #### Parameters

  - ##### key: string | FunctionFragment

  #### Returns T

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:861
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "WETH"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:865
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [TransferStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "_parseTransferCommon"

  #### Returns TypedContractMethod<[encoded: BytesLike], [TransferStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:868
- getFunction(nameOrSignature): TypedContractMethod<[tokenAddress: AddressLike, nonce: BigNumberish], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "attestToken"

  #### Returns TypedContractMethod<[tokenAddress: AddressLike, nonce: BigNumberish], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:875
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "bridgeContracts"

  #### Returns TypedContractMethod<[chainId_: BigNumberish], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:882
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "chainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:885
- getFunction(nameOrSignature): TypedContractMethod<[encodedVm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "completeTransfer"

  #### Returns TypedContractMethod<[encodedVm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:888
- getFunction(nameOrSignature): TypedContractMethod<[encodedVm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "completeTransferAndUnwrapETH"

  #### Returns TypedContractMethod<[encodedVm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:891
- getFunction(nameOrSignature): TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "completeTransferAndUnwrapETHWithPayload"

  #### Returns TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:894
- getFunction(nameOrSignature): TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "completeTransferWithPayload"

  #### Returns TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:897
- getFunction(nameOrSignature): TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "createWrapped"

  #### Returns TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:900
- getFunction(nameOrSignature): TypedContractMethod<[meta: AssetMetaStruct], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "encodeAssetMeta"

  #### Returns TypedContractMethod<[meta: AssetMetaStruct], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:903
- getFunction(nameOrSignature): TypedContractMethod<[transfer: TransferStruct], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "encodeTransfer"

  #### Returns TypedContractMethod<[transfer: TransferStruct], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:910
- getFunction(nameOrSignature): TypedContractMethod<[transfer: TransferWithPayloadStruct], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "encodeTransferWithPayload"

  #### Returns TypedContractMethod<[transfer: TransferWithPayloadStruct], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:917
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "evmChainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:924
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "finality"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:927
- getFunction(nameOrSignature): TypedContractMethod<[hash: BytesLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "governanceActionIsConsumed"

  #### Returns TypedContractMethod<[hash: BytesLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:930
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "governanceChainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:933
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "governanceContract"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:936
- getFunction(nameOrSignature): TypedContractMethod<[], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isFork"

  #### Returns TypedContractMethod<[], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:939
- getFunction(nameOrSignature): TypedContractMethod<[impl: AddressLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isInitialized"

  #### Returns TypedContractMethod<[impl: AddressLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:942
- getFunction(nameOrSignature): TypedContractMethod<[hash: BytesLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isTransferCompleted"

  #### Returns TypedContractMethod<[hash: BytesLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:945
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isWrappedAsset"

  #### Returns TypedContractMethod<[token: AddressLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:948
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "outstandingBridged"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:951
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [AssetMetaStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseAssetMeta"

  #### Returns TypedContractMethod<[encoded: BytesLike], [AssetMetaStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:954
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "parsePayloadID"

  #### Returns TypedContractMethod<[encoded: BytesLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:961
- getFunction(nameOrSignature): TypedContractMethod<[encodedRecoverChainId: BytesLike], [RecoverChainIdStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseRecoverChainId"

  #### Returns TypedContractMethod<[encodedRecoverChainId: BytesLike], [RecoverChainIdStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:964
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [RegisterChainStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseRegisterChain"

  #### Returns TypedContractMethod<[encoded: BytesLike], [RegisterChainStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:971
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [TransferStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseTransfer"

  #### Returns TypedContractMethod<[encoded: BytesLike], [TransferStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:978
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [TransferWithPayloadStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseTransferWithPayload"

  #### Returns TypedContractMethod<[encoded: BytesLike], [TransferWithPayloadStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:985
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [UpgradeContractStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseUpgrade"

  #### Returns TypedContractMethod<[encoded: BytesLike], [UpgradeContractStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:992
- getFunction(nameOrSignature): TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "registerChain"

  #### Returns TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:999
- getFunction(nameOrSignature): TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitRecoverChainId"

  #### Returns TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1002
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "tokenImplementation"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1005
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike, amount: BigNumberish, recipientChain: BigNumberish, recipient: BytesLike, arbiterFee: BigNumberish, nonce: BigNumberish], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "transferTokens"

  #### Returns TypedContractMethod<[token: AddressLike, amount: BigNumberish, recipientChain: BigNumberish, recipient: BytesLike, arbiterFee: BigNumberish, nonce: BigNumberish], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1008
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike, amount: BigNumberish, recipientChain: BigNumberish, recipient: BytesLike, nonce: BigNumberish, payload: BytesLike], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "transferTokensWithPayload"

  #### Returns TypedContractMethod<[token: AddressLike, amount: BigNumberish, recipientChain: BigNumberish, recipient: BytesLike, nonce: BigNumberish, payload: BytesLike], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1022
- getFunction(nameOrSignature): TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateWrapped"

  #### Returns TypedContractMethod<[encodedVm: BytesLike], [string], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1036
- getFunction(nameOrSignature): TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "upgrade"

  #### Returns TypedContractMethod<[encodedVM: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1039
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "wormhole"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1042
- getFunction(nameOrSignature): TypedContractMethod<[recipientChain: BigNumberish, recipient: BytesLike, arbiterFee: BigNumberish, nonce: BigNumberish], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "wrapAndTransferETH"

  #### Returns TypedContractMethod<[recipientChain: BigNumberish, recipient: BytesLike, arbiterFee: BigNumberish, nonce: BigNumberish], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1045
- getFunction(nameOrSignature): TypedContractMethod<[recipientChain: BigNumberish, recipient: BytesLike, nonce: BigNumberish, payload: BytesLike], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "wrapAndTransferETHWithPayload"

  #### Returns TypedContractMethod<[recipientChain: BigNumberish, recipient: BytesLike, nonce: BigNumberish, payload: BytesLike], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1057
- getFunction(nameOrSignature): TypedContractMethod<[tokenChainId: BigNumberish, tokenAddress: BytesLike], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "wrappedAsset"

  #### Returns TypedContractMethod<[tokenChainId: BigNumberish, tokenAddress: BytesLike], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:1069

### listeners

- listeners<TCEvent>(event): Promise<TypedListener<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  #### Returns Promise<TypedListener<TCEvent>[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:635
- listeners(eventName?): Promise<Listener[]>

- #### Parameters

  - ##### `Optional` eventName: string

  #### Returns Promise<Listener[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:638

### on

- on<TCEvent>(event, listener): Promise<TokenBridgeContract>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenBridgeContract>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:617
- on<TCEvent>(filter, listener): Promise<TokenBridgeContract>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenBridgeContract>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:621

### once

- once<TCEvent>(event, listener): Promise<TokenBridgeContract>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenBridgeContract>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:626
- once<TCEvent>(filter, listener): Promise<TokenBridgeContract>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenBridgeContract>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:630

### queryFilter

- queryFilter<TCEvent>(event, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:606
- queryFilter<TCEvent>(filter, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:611

### removeAllListeners

- removeAllListeners<TCEvent>(event?): Promise<TokenBridgeContract>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### `Optional` event: TCEvent

  #### Returns Promise<TokenBridgeContract>

  Overrides BaseContract.removeAllListeners

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:639

### waitForDeployment

- waitForDeployment(): Promise<TokenBridgeContract>

- #### Returns Promise<TokenBridgeContract>

  Overrides BaseContract.waitForDeployment

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/Bridge.ts:602

Generated using TypeDoc